### YamlMime:ManagedReference
items:
- uid: Voile.Resources.DataReaders.IStreamDataReader
  commentId: T:Voile.Resources.DataReaders.IStreamDataReader
  id: IStreamDataReader
  parent: Voile.Resources.DataReaders
  children:
  - Voile.Resources.DataReaders.IStreamDataReader.Read(System.IO.Stream)
  langs:
  - csharp
  - vb
  name: IStreamDataReader
  nameWithType: IStreamDataReader
  fullName: Voile.Resources.DataReaders.IStreamDataReader
  type: Interface
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/IDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IStreamDataReader
    path: Source/Resources/DataReaders/IDataReader.cs
    startLine: 7
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Reads data from a specified stream.
  example: []
  syntax:
    content: public interface IStreamDataReader
    content.vb: Public Interface IStreamDataReader
- uid: Voile.Resources.DataReaders.IStreamDataReader.Read(System.IO.Stream)
  commentId: M:Voile.Resources.DataReaders.IStreamDataReader.Read(System.IO.Stream)
  id: Read(System.IO.Stream)
  parent: Voile.Resources.DataReaders.IStreamDataReader
  langs:
  - csharp
  - vb
  name: Read(Stream)
  nameWithType: IStreamDataReader.Read(Stream)
  fullName: Voile.Resources.DataReaders.IStreamDataReader.Read(System.IO.Stream)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/DataReaders/IDataReader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Read
    path: Source/Resources/DataReaders/IDataReader.cs
    startLine: 13
  assemblies:
  - Voile
  namespace: Voile.Resources.DataReaders
  summary: Read data from a specified stream.
  example: []
  syntax:
    content: void Read(Stream data)
    parameters:
    - id: data
      type: System.IO.Stream
      description: Stream with data.
    content.vb: Sub Read(data As Stream)
  overload: Voile.Resources.DataReaders.IStreamDataReader.Read*
references:
- uid: Voile.Resources.DataReaders
  commentId: N:Voile.Resources.DataReaders
  href: Voile.html
  name: Voile.Resources.DataReaders
  nameWithType: Voile.Resources.DataReaders
  fullName: Voile.Resources.DataReaders
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
  - name: .
  - uid: Voile.Resources.DataReaders
    name: DataReaders
    href: Voile.Resources.DataReaders.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
  - name: .
  - uid: Voile.Resources.DataReaders
    name: DataReaders
    href: Voile.Resources.DataReaders.html
- uid: Voile.Resources.DataReaders.IStreamDataReader.Read*
  commentId: Overload:Voile.Resources.DataReaders.IStreamDataReader.Read
  href: Voile.Resources.DataReaders.IStreamDataReader.html#Voile_Resources_DataReaders_IStreamDataReader_Read_System_IO_Stream_
  name: Read
  nameWithType: IStreamDataReader.Read
  fullName: Voile.Resources.DataReaders.IStreamDataReader.Read
- uid: System.IO.Stream
  commentId: T:System.IO.Stream
  parent: System.IO
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.io.stream
  name: Stream
  nameWithType: Stream
  fullName: System.IO.Stream
- uid: System.IO
  commentId: N:System.IO
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.IO
  nameWithType: System.IO
  fullName: System.IO
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.IO
    name: IO
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.io
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.IO
    name: IO
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.io
